Description

When you try to delete a tracker that has issues assigned to it, it just errors out and tells you it can not be deleted.  It would be

extremely beneficial if you could reassign issues to another tracker, like deleting an issue activity allows you to.

History

#1 - 2009-06-24 10:22 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#2 - 2013-03-18 15:57 - Dipan Mehta

You can search under "All issues" filtering that specific tracker and change the tracker to the desired new! This can be done in issue page through

bulk-edit.

Of course, there is a caveat : if the new tracker has certain fields required but are blank in the given issues, it will fire the issue - which i think is a

desirable behavior.

#3 - 2013-03-18 16:02 - Robert Chady

Yes, there is a way around it, but it does not behave like the rest of the system.  If you try to delete an activity, it will prompt you for what you want to

do with all the issues that are assigned to that activity.

#4 - 2013-03-18 16:19 - Daniel Felix

The described workaround would be also a problem if there are many thousand issues. ;-)

#5 - 2013-03-27 05:03 - Dipan Mehta

Let me ask the other way, if yo have a large number of issues under a tracker X which all needs to move to say tracker Y. (tracker Y is not empty)

What other way can be made without violating field permissions set in the workflow?

In any case what is necessary is to have such a short and efficient way to move all issues to under another tracker. Deletion of tracker is not implied

to have such behavior.
